## console-apt 0.7.7.2potato2

=== Makefile ===
all:
	autoconf && ./configure
	@echo
	@echo The makefile has been generated and I hope that you can now make the project. 
	@echo

=== debian/changelog ===
console-apt (0.7.7.2potato2) stable; urgency=high

  * Rebuilt with latest apt library in potato. 0.7.7.2potato1 will not work 
    with potato systems.

 -- Randolph Chung <tausq@debian.org>  Sun,  3 Sep 2000 07:43:27 -0700

console-apt (0.7.7.2potato1) stable; urgency=high

  * Built for 2.2r1; same as 0.7.7.2

 -- Randolph Chung <tausq@debian.org>  Sat, 26 Aug 2000 00:53:29 -0700

console-apt (0.7.7.2) unstable; urgency=high

  * Russian ncurses workaround (Fix by Victor Vislobokov--thanks).
  * Fixed bug where capt would segfault if a download failed.
  * Bug stamp release--development has moved to a seperate tree.

 -- Patrick Cole <z@amused.net>  Tue, 30 May 2000 01:02:49 -0400

console-apt (0.7.7.1) unstable; urgency=high

  * Command line operation error checking has been improved;
    dialog boxes are now informative when a package cannot be
    installed or removed.
  * Internal code revamp. Menu system added.
  * Manpage revised.
  * Stalemate release. More bug reports and suggestions are
    needed for continued development. Thank you.

 -- Patrick Cole <z@amused.net>  Mon, 10 Apr 2000 09:33:53 -0400

console-apt (0.7.7) unstable; urgency=high

  * List dialogs have been implemented and improved.
  * Mainly a bugfix release.
  * tetris -> captris [copyright reasons]
  * captris can now be toggled using 't' in the fetcher, 
    and this infrormation is saved in the config file also.

 -- Patrick Cole <z@amused.net>  Mon, 27 Mar 2000 02:42:27 -0500

console-apt (0.7.6.4) unstable; urgency=high

  * Added a tetrus game to aid those tiresome downloads.
  * Fixed a few things that didn't get checked before 
    fetching pacakges.

 -- Patrick Cole <z@amused.net>  Thu, 16 Mar 2000 11:28:38 -0500

console-apt (0.7.6.3) unstable; urgency=high

  * Fixed filter segfault (Closes #59702)
  * View mode now gets saved, as well as the currently installed 
    sorting order list.
  * Virtual screen tree support fixes
  * Color changes, other fixes

 -- Patrick Cole <z@amused.net>  Wed,  8 Mar 2000 11:17:59 -0500

console-apt (0.6.7.2) unstable; urgency=high

  * Bugfixes.
  * Shows people what will happen before packages are downloaded
    and installed/removed/etc.
  * '_' key now allows people to select pkgs for purge.

 -- Patrick Cole <z@amused.net>  Sat, 26 Feb 2000 19:53:26 -0500

console-apt (0.6.7.1) unstable; urgency=high

  * Core UI / Acquire UI changes.
  * Bugfixes.
  * Added better support for command line usage.

 -- Patrick Cole <z@amused.net>  Mon,  7 Feb 2000 02:18:07 -0500

console-apt (0.6.7.0) unstable; urgency=high

  * User interface improvements and bugfixes.
  * Fixed libapache-mod-perl search bug (Closes #55399, #50571,
    #55975).
  * Package description now updates when a search completes
    (Closes #52055).
  * Scolling through package long description now works
    (Closes #52116, #56451).
  * Capt no longer terminates when scrolling past the end of
    the package list (Closes #52183).
  * console-apt doesn't segfault on pressing '?' anymore.
    (Closes #53092)
  * No segfaults when scrolling the list anymore (Closes #53289).
  * Dynamic sorting methods have been implemented.
  * Section headers have been added to give a more dselect-like
    feel for those potential converts lurking around the corner.

 -- Patrick Cole <z@amused.net>  Sat, 29 Jan 2000 01:58:26 -0500

console-apt (0.6.6.0pre1) unstable; urgency=high

  * Optional sticky description window added.
  * Added curses function key bindings so that different
    terminals can now enjoy the pleasure of function keys.
  * Added more support for non-color terminals, and improved
    interface for easier navigation of package state.
  * Catagorized help window in an _attempt_ to be more
    "User Friendly" :).
  * Closes many outstanding bugs.
  * 

 -- Patrick Cole <z@amused.net>  Sat, 29 Jan 2000 01:58:10 -0500

console-apt (0.6.5.3) unstable; urgency=low

  * Non-maintainer fixes (Josip Rodin <jrodin@jagor.srce.hr>).
  * Several small documentation changes, to the manpage, control file,
    copyright file, and menu file. Removed unneeded README.debian.
  * Moved the capt.1 manpage to the toplevel directory, as it is
    part of 'upstream' sources. Also, linked apt-find.1 -> capt.1 and 
    console-apt.1 -> capt.1 in the package.
  * Minor changes to the Makefile.
  * Switched to using debhelper tools.
  * Removed the revision from the number, making it a normal native
    package.
  * Package is now Lintian 1.5 clean.

 -- Patrick Cole <z@amused.net>  Wed, 28 Jul 1999 16:14:41 +1000

console-apt (0.6.5.2-1) unstable; urgency=low

  * Changed name from apt-find to console-apt.
  * Added extra characters so monochrome displays
    know the package states without using color.
  * Various sorting options have been added
    's' changes the current pkg list sort type.
  * Scrolling dialogs added for descriptions on enter.
  * Fixed bugs with marking for install/delete.
  * Added pretty progress bars to cache initialization.

 -- Patrick Cole <z@amused.net>  Thu,  8 Jul 1999 03:03:53 +1000

console-apt (0.6.5.1-1) unstable; urgency=low

  * Man page added to archive.  Several bug fixes.
  * Fixed some memory leak issues with apt.
  * Added in Daniel Burrows' modified search patches.

 -- Patrick Cole <z@amused.net>  Sat,  3 Jul 1999 18:10:11 +1000

console-apt (0.6.5b3-1) unstable; urgency=low

  * Fixed bug with description key buffering
  * Updated help screen
  * Misc other fixes
	
 -- Patrick Cole <z@amused.net>  Fri, 2 Jul 1999 18:21:16 +1000  

console-apt (0.6.5b2-1) unstable; urgency=low

  * Major release integrating console-apt with the
    apt-pkg library interface.
  * Color changes
  * Fetcher user interface added
  * This release is BETA SOFTWARE.  It is NOT STABLE.

-- Patrick Cole <z@amused.net>  Sat, 12 Jun 1999 22:26:57 +1000  

console-apt (0.6.0p1-1) unstable; urgency=low

  * Fixed major bug for absolute dist specifications.



=== debian/control ===
Source: console-apt
Section: admin
Priority: optional
Maintainer: Patrick Cole <z@amused.net>
Standards-Version: 3.0.1.1

Package: console-apt
Architecture: any
Depends: ${shlibs:Depends}
Provides: apt-find
Conflicts: apt-find
Replaces: apt-find
Description: Text-based user interface for APT
 console-apt is an ncurses-based user interface that is
 useful for upgrading, installing and removing packages
 from a Debian GNU/Linux system which supports APT.
 .
 There are many advantages to using console-apt over 
 other alternatives, including:
 .
   * progress indicators for downloads,
   * selective upgrading of packages,
   * complete many operations in one swoop,
   * intuitive interface for browsing descriptions,
   * searching and sorting of packages.

=== debian/rules ===
#!/usr/bin/make -f
# Derived from hello, debmake, dh_make examples.

package=console-apt

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp/usr
	touch install-stamp

binary-indep: build install
# There are no architecture-independent packages here.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs docs/README
	dh_installmenu
	dh_installmanpages
	cd debian/tmp/usr/share/man/man1 && ln -s capt.1.gz console-apt.1.gz && \
	   ln -s capt.1.gz apt-find.1.gz
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
